Skip to main content
PATCH
/
cloud
/
v1
/
user_actions
/
amqp_subscriptions
/
{subscription_id}
Update amqp subscription
curl --request PATCH \
  --url https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions/{subscription_id} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "connection_string": "amqps://guest:guest@192.168.123.20:5671/user_action_events",
  "exchange": "<string>",
  "receive_child_client_events": false,
  "routing_key": "foo"
}
'
import requests

url = "https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions/{subscription_id}"

payload = {
"connection_string": "amqps://guest:guest@192.168.123.20:5671/user_action_events",
"exchange": "<string>",
"receive_child_client_events": False,
"routing_key": "foo"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
connection_string: 'amqps://guest:guest@192.168.123.20:5671/user_action_events',
exchange: '<string>',
receive_child_client_events: false,
routing_key: 'foo'
})
};

fetch('https://api.gcore.com/cloud/v1/user_actions/amqp_subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "connection_string": "amqps://guest:guest@192.168.123.20:5671/user_action_events",
  "exchange": null,
  "id": 33,
  "receive_child_client_events": false,
  "routing_key": "foo"
}

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

subscription_id
integer
required

Subscription ID

Example:

17

Body

application/json
connection_string
string

Connection string of the following structure "scheme://username:password@host:port/virtual_host"

Example:

"amqps://guest:guest@192.168.123.20:5671/user_action_events"

exchange
string

Exchange name

receive_child_client_events
boolean

Set to true if you would like to receive user action logs of all clients with the reseller_id matching the current client_id. Defaults to false

Example:

false

routing_key
string

Routing key

Example:

"foo"

Response

200 - application/json

OK

connection_string
string
required

Connection string of the following structure "scheme://username:password@host:port/virtual_host"

Example:

"amqps://guest:guest@192.168.123.20:5671/user_action_events"

exchange
string | null
required

Exchange name

Example:

null

id
integer
required

Subscription ID

Example:

33

receive_child_client_events
boolean
required

Set to true if you would like to receive user action logs of all clients with the reseller_id matching the current client_id. Defaults to false

Example:

false

routing_key
string | null
required

Routing key

Example:

"foo"